Arch Remove: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(Vertical GuiCommand)
Line 2: Line 2:
<translate>
<translate>
<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Remove|SeeAlso=[[Arch Add]]}}
|Name=Arch Remove
|MenuLocation=Arch → Remove
|Workbenches=[[Arch Module|Arch]]
|SeeAlso=[[Arch Add]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->

Revision as of 16:01, 28 November 2018

Arch Remove

Menu location
Arch → Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Add

Description

The Remove tools allows you to do 2 kinds of operations:

  • Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the Arch Add example
  • Subtract a shape-based object from an Arch component such as a wall or structure

In the above image, a box is being subtracted from a wall.

How to use

  1. Select a subcomponent inside an Arch object, or:
  2. Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
  3. Press the Remove button

Scripting

The Remove tool can by used in macros and from the python console by using the following function:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Arch.removeComponents(box)